Get a Virtual Card
curl --request GET \
--url https://api.flutterwave.com/v3/virtual-cards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.flutterwave.com/v3/virtual-cards/{id}"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.flutterwave.com/v3/virtual-cards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Card fetched successfully",
"data": {
"id": "7dc7b98c-7f6d-48f3-9b31-859a145c8085",
"account_id": 65637,
"amount": "20,000.00",
"currency": "NGN",
"card_hash": "7dc7b98c-7f6d-48f3-9b31-859a145c8085",
"card_pan": "5366130719043293",
"masked_pan": "536613*******3293",
"city": "Lekki",
"state": "Lagos",
"address_1": "19, Olubunmi Rotimi",
"address_2": null,
"zip_code": "23401",
"cvv": "267",
"expiration": "2023-01",
"send_to": null,
"bin_check_name": null,
"card_type": "mastercard",
"name_on_card": "Jermaine Graham",
"created_at": "2020-01-17T18:31:48.97Z",
"is_active": true,
"callback_url": "https://your-callback-url.com/"
}
}Virtual Cards
Get a Virtual Card
Fetch the details of a single virtual card
GET
/
virtual-cards
/
{id}
Get a Virtual Card
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Example:
"application/json"
Path Parameters
Response
200 - application/json; charset=utf-8
OK
Show child attributes
Show child attributes
Example:
{
"id": "7dc7b98c-7f6d-48f3-9b31-859a145c8085",
"account_id": 65637,
"amount": "20,000.00",
"currency": "NGN",
"card_hash": "7dc7b98c-7f6d-48f3-9b31-859a145c8085",
"card_pan": "5366130719043293",
"masked_pan": "536613*******3293",
"city": "Lekki",
"state": "Lagos",
"address_1": "19, Olubunmi Rotimi",
"address_2": null,
"zip_code": "23401",
"cvv": "267",
"expiration": "2023-01",
"send_to": null,
"bin_check_name": null,
"card_type": "mastercard",
"name_on_card": "Jermaine Graham",
"created_at": "2020-01-17T18:31:48.97Z",
"is_active": true,
"callback_url": "https://your-callback-url.com/"
}
Was this page helpful?
⌘I